-- Test cover_carousel_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('cover_carousel_i18n');
select has_pk('cover_carousel_i18n');
select col_is_pk('cover_carousel_i18n', array['media_id', 'lang_tag']);
select table_privs_are('cover_carousel_i18n', 'guest', array['SELECT']);
select table_privs_are('cover_carousel_i18n', 'employee', array['SELECT']);
select table_privs_are('cover_carousel_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('cover_carousel_i18n', 'authenticator', array[]::text[]);

select has_column('cover_carousel_i18n', 'media_id');
select col_is_fk('cover_carousel_i18n', 'media_id');
select fk_ok('cover_carousel_i18n', 'media_id', 'cover_carousel', 'media_id');
select col_type_is('cover_carousel_i18n', 'media_id', 'integer');
select col_not_null('cover_carousel_i18n', 'media_id');
select col_hasnt_default('cover_carousel_i18n', 'media_id');

select has_column('cover_carousel_i18n', 'lang_tag');
select col_is_fk('cover_carousel_i18n', 'lang_tag');
select fk_ok('cover_carousel_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('cover_carousel_i18n', 'lang_tag', 'text');
select col_not_null('cover_carousel_i18n', 'lang_tag');
select col_hasnt_default('cover_carousel_i18n', 'lang_tag');

select has_column('cover_carousel_i18n', 'caption');
select col_type_is('cover_carousel_i18n', 'caption', 'text');
select col_not_null('cover_carousel_i18n', 'caption');
select col_hasnt_default('cover_carousel_i18n', 'caption');


select *
from finish();

rollback;

